Subtitles
التكامل
veed/subtitles
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ar/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
}
استدعِ نموذج Subtitles (veed/subtitles) عبر Doitong API. توثيق الوكلاء: https://doitong.com/ar/developers/models/veed/subtitles.md
POST https://api.doitong.com/v1/run/veed/subtitles?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
إذا كانت حالة الاستجابة "queued" أو "running"، فأرسل طلبات GET إلى https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 حتى تصبح "succeeded"؛ توجد الملفات في outputs[].url. يعيد POST https://api.doitong.com/v1/quote/veed/subtitles مع نفس النص الأساسي السعر الدقيق قبل التشغيل.
ملفات مثل المثال: 0.20 $ 200 رصيد API تُقاس ملفاتك قبل التشغيل تشغيله في هذه الصفحة
مفتاح API الجديد الخاص بك. يظهر الآن فقط، وهو مُدرج بالفعل في الشيفرة وفي حقل مفتاح API أدناه. احتفظ به سريًا: لا تضعه أبدًا في شيفرة تعمل في المتصفح.
ستظهر نتيجتك الأولى هنا
أنشئ طلبًا أدناه وشغّله باستخدام مفتاح API الخاص بك. تُنسخ المخرجات إلى تخزيننا، وتُحفظ إلى الأبد أو لمدة 7 أيام مجانًا.
إنشاء طلب
تُنشأ عناصر التحكم من مخطط النموذج. يتحدّث الرمز والسعر عند تغييرها.
/run/veed/subtitles?wait=20
عرض السعر → 0.20 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"wait_seconds": 20
}
}
}
تشغيل هذا الطلب
يبقى مفتاحك في هذا المتصفح: لا يُرسل إلا إلى Doitong API ويُحفظ في localStorage فقط إذا فعّلت خيار التذكّر. الحصول على مفتاح API
حول Subtitles
يضيف ترجمات معروضة إلى فيديو (`video_url`) باستخدام `preset` نمط إلزامي، مع توفر 30 إعدادًا مسبقًا. يفرّغ الكلام تلقائيًا، أو يتخطى ذلك عند تقديم `srt_file_url` أو `srt_content`. تحدد `language` لغة المصدر لتحسين الدقة، وتترجم `translation_language` الترجمات. تعمل قائمة `vocabulary` التي تضم ما يصل إلى 100 مصطلح، وتجاوزات `customization` على تحسين النتيجة.
المعاملات
أرسل الاسم الأساسي أو الاسم الأصلي، وليس كليهما. الأسماء الأساسية
video_urlمطلوب
video
presetمطلوب
+14 أخرى
caprilowkeyvintadiegoalislaykittyhustlekarlsproutflexmintrizzvegaslanguageاختياري
+148 أخرى
ar-TNast-ESaz-AZbabasbe-BYbg-BGbrbs-BAca-ESceb-PHckb-IQcs-CZcy-GBda-DKde-DEdyuel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfofr-CAfr-FRfygagdgl-ESha-NGhawhe-ILhr-HRhsbhthu-HUhy-AMid-IDigis-ISit-ITja-JPja-Latn-JPjv-IDka-GEkabkam-KEkea-CVkk-KZko-KRkuky-KGlalb-LUlglijln-CDlo-LAlt-LTluo-KElv-LVmgmi-NZmk-MKmn-MNms-MYmt-MTnb-NOnl-NLnso-ZAny-MWoc-FRpl-PLps-AFpt-BRpt-PTro-ROrohru-RUrw-RWsahsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSsrdsssu-IDsv-SEsw-KEsw-TZtg-TJth-THtktntoktontr-TRts-ZAttuk-UAumb-AOur-INur-PKuz-UZvi-VNvrowo-SNxh-ZAyiyo-NGyue-Hant-HKzhzh-HKzh-TWzu-ZAtranslation_languageاختياري
+198 أخرى
ar-MAar-OMar-PSar-QAar-SAar-TNawaayaz-AZbanbbcbe-BYbembewbg-BGbhobikbmbs-BAbtsbtxbuaca-ESceb-PHcggchmckb-IQcnhcocrhcrscs-CZcvcy-GBda-DKde-DEdindoidovdvdzeeel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfjfr-CAfr-FRfygagaagdgl-ESgngomha-NGhawhe-ILhilhmnhr-HRhrxhthu-HUhy-AMid-IDigilois-ISit-ITja-JPja-Latn-JPjv-IDka-GEkk-KZko-KRkriktukuky-KGlalb-LUlglilijlmoln-CDlo-LAlt-LTltgluo-KEluslv-LVmaimakmgmi-NZminmk-MKmn-MNmni-Mteims-Arabms-MYmt-MTnb-NOnewnl-NLnrnso-ZAnusny-MWoc-FRompagpampappl-PLps-AFpt-BRpt-PTqurnro-ROromru-RUrw-RWscnsgshnsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSssstsu-IDsv-SEsw-KEsw-TZszltettg-TJth-THtitktntr-TRts-ZAttuguk-UAur-INur-PKuz-UZvi-VNxh-ZAyiyo-NGyuayue-Hant-HKzhzh-HKzh-TWzu-ZAsrt_file_urlاختياري
srt_contentاختياري
vocabularyاختياري
vocabulary[].wordمطلوب
vocabulary[].replacesمطلوب
customizationاختياري
customization.positionاختياري
customization.shadowاختياري
customization.text_customizationsاختياري
customization.text_customizations.baselineاختياري
customization.text_customizations.highlightedاختياري
تقبل معاملات الملفات عنوان URL عامًا يبدأ بـ https://، أو URI من نوع data: يصل حجمه إلى 10 MB، أو file_url لملف تم تحميله. الملفات
المخرجات
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veed/subtitles",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
حقول المخرجات
- video
- object {url, content_type, file_name, file_size}فيديو مُصيّر يحتوي على ترجمة منسّقة.
أنواع VEED Fabric الأخرى
مزيد من النماذج: من فيديو إلى فيديو
لوكلاء الذكاء الاصطناعي: تتوفر هذه الصفحة بصيغة Markdown على https://doitong.com/ar/developers/models/veed/subtitles.md. جميع النماذج والأدلة: https://doitong.com/developers/llms.txt